import { DefineComponent, Ref, VNode } from 'vue';
import { Subject } from '@tanbo/stream';
import { Component, Slot, VElement, VTextNode } from '@textbus/core';
import { DomAdapter } from '@textbus/platform-browser';
export interface ViewComponentProps<T extends Component> {
    component: T;
    rootRef: Ref<HTMLElement | undefined>;
}
export interface VueAdapterComponents {
    [key: string]: DefineComponent<ViewComponentProps<any>>;
}
/**
 * Textbus 桥接 Vue 渲染能力适配器，用于在 Vue 项目中渲染 Textbus 数据
 */
export declare class Adapter extends DomAdapter<VNode, VNode> {
    onViewUpdated: Subject<void>;
    private components;
    private componentRefs;
    private componentRendingStack;
    private compositionRef;
    constructor(components: VueAdapterComponents, mount: (host: HTMLElement, root: VNode) => (void | (() => void)));
    componentRender(component: Component): VNode;
    slotRender(slot: Slot, slotHostRender: (children: Array<VElement | VTextNode | Component>) => VElement, renderEnv?: any): VNode;
}
